org.firebirdsql.gds.ng

## Class BatchCompletion.DetailedError

- java.lang.Object
- - org.firebirdsql.gds.ng.BatchCompletion.DetailedError

Enclosing class:
  BatchCompletion

    public static final class BatchCompletion.DetailedError
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DetailedError(int element, java.sql.SQLException error)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `element()`
`java.sql.SQLException` `error()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DetailedError

    public DetailedError(int element,
                         java.sql.SQLException error)

### Method Detail

#### element

    public int element()

Returns:
  0-based index of the element with this error

#### error

    public java.sql.SQLException error()

Returns:
  error as a `SQLException`